7zip (26.02+dfsg-2) unstable; urgency=medium

  * Extend copyright years
  * Add more text for "-mcp=" option in man page

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 04 Jul 2026 16:59:36 +0900

7zip (26.02+dfsg-1) unstable; urgency=medium

  * New upstream version 26.02+dfsg

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 27 Jun 2026 22:16:09 +0900

7zip (26.01+dfsg-3) unstable; urgency=medium

  * Update dates in man pages.

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Tue, 23 Jun 2026 08:39:18 +0900

7zip (26.01+dfsg-2) unstable; urgency=medium

  * Update patch for better description text
  * Refactor and simplify compilation options
  * Add "7Z" to Make values
  * Rediff patches
  * Use "-Wno-error=" option instead of #pragma
  * Minimize "-Wno-error=array-bounds" usage for specific files
  * Use "-Wno-error=array-bounds" option to some specific files to avoid
    false-positive error on GCC 16

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Mon, 11 May 2026 20:55:24 +0900

7zip (26.01+dfsg-1) unstable; urgency=medium

  * Revert version mangle for new upstream version
  * New upstream version 26.01+dfsg
  * Rediff patches
  * Update man page for new "-spo{d|c|r}" option

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Tue, 28 Apr 2026 20:05:51 +0900

7zip (26.00+dfsg1-3) unstable; urgency=medium

  * Relax "breaks"/"replaces" line in debian/control

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sun, 19 Apr 2026 23:44:29 +0900

7zip (26.00+dfsg1-2) unstable; urgency=medium

  * Upgrade Debian Policy version

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Wed, 01 Apr 2026 04:04:20 +0900

7zip (26.00+dfsg1-1) unstable; urgency=medium

  * Use upstream source from GitHub
  * Drop file permission hack
  * New upstream version 26.00+dfsg1
  * Change newline characters in patch files to Unix style

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Wed, 01 Apr 2026 01:50:36 +0900

7zip (26.00+dfsg-5) unstable; urgency=medium

  * Rediff patches
  * Fix: Globally suppress GCC 11+ -Warray-bounds false positives
    (Closes: #1132057)
  * Apply patch for GCC-16+ only
  * Forward array-bounds patch to upstream

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sun, 29 Mar 2026 16:54:17 +0900

7zip (26.00+dfsg-4) unstable; urgency=medium

  * Add more fixup for version strings

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sun, 15 Mar 2026 14:14:19 +0900

7zip (26.00+dfsg-3) unstable; urgency=medium

  * Fix Dversion-Mangle to download correct upstream file

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 14 Mar 2026 13:37:49 +0900

7zip (26.00+dfsg-2) unstable; urgency=medium

  [ Sylvain Beucler ]
  * Typo
  * Typos in 7z Debian manpage

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Thu, 05 Mar 2026 12:46:40 +0900

7zip (26.00+dfsg-1) unstable; urgency=medium

  * New upstream version 26.00+dfsg
  * Rediff patches
  * Extend copyright years

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 13 Feb 2026 16:12:27 +0900

7zip (25.01+dfsg-5) unstable; urgency=medium

  * Upgrade Debian standards to 4.7.3

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 27 Dec 2025 23:00:04 +0900

7zip (25.01+dfsg-4) unstable; urgency=medium

  * Lintian fix: redundant-rules-requires-root-no-field

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Mon, 03 Nov 2025 13:30:51 +0900

7zip (25.01+dfsg-3) unstable; urgency=medium

  * Drop Emacs mode line from debian/watch

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Mon, 29 Sep 2025 11:28:16 +0900

7zip (25.01+dfsg-2) unstable; urgency=medium

  * Use V5 format for watch file
  * Drop unused CI variable

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 23 Aug 2025 11:47:31 +0900

7zip (25.01+dfsg-1) unstable; urgency=medium

  * Add upstream repository
  * New upstream version 25.01+dfsg
  * Rediff patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Mon, 04 Aug 2025 11:33:19 +0900

7zip (25.00+dfsg-1) unstable; urgency=medium

  * New upstream version 25.00+dfsg
  * Rediff patches
  * Drop unused macro while building SFX stub
  * Disable CI for upstream codes branch
  * Enable cross build test in CI

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Tue, 08 Jul 2025 00:16:13 +0900

7zip (24.09+dfsg-8) unstable; urgency=medium

  [ Roger Shimizu ]
  * d/control: Add B-D: dh-exec (>= 0.30~)

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Thu, 08 May 2025 19:46:16 +0900

7zip (24.09+dfsg-7) unstable; urgency=medium

  * Upgrade Debian policy to 4.7.2

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 01 Mar 2025 22:06:59 +0900

7zip (24.09+dfsg-6) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Update 0004 patch to the latest version from upstream PR #36.

  [ YOKOTA Hiroshi ]
  * Enable assembly code for arm64
  * Use "clocale" instead of "locale.h" for C++ code

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Wed, 26 Feb 2025 16:04:16 +0900

7zip (24.09+dfsg-5) unstable; urgency=medium

  * Upgrade Debian policy standards to 4.7.1

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sun, 23 Feb 2025 08:44:31 +0900

7zip (24.09+dfsg-4) unstable; urgency=medium

  * This version enables assembler code for amd64 architecture
    (Closes: #1090988).
    amd64 assembler code requires asmc-linux package and both builder/target
    architecture is amd64.
    If assembler code is enabled, you see "ASM" label in command line help
    message.
    > $ 7z
    > 7-Zip 24.09 (x64) : Copyright (c) 1999-2024 Igor Pavlov : 2024-11-29
    > 64-bit locale=*** Threads:*** OPEN_MAX:***, ASM
    ----------------------------------------------^^^

  * Use assembler code on amd64
  * Use "-c" flags for asmc
  * dh-exec dose not support wildcards while renameing-install
  * Refactor
  * Add "-fpic" for Asmc options
  * Add "-Z7" (full debug info) options for Asmc code
  * Asmc doesn't support DWARF style debug symbols
  * Refactor debian/*.install script
  * Refactor
  * Renumber patches
  * Add "DEB_" prefix for Debian packaging values
  * Update Lintian overrides

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Mon, 10 Feb 2025 22:16:07 +0900

7zip (24.09+dfsg-3) unstable; urgency=medium

  * Add note for unexpected recursive operations behavior (Closes: #1091693)
  * Add note for unexpected recursive operations behavior to usage text
  * Rediff patches
  * Rediff patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 03 Jan 2025 12:51:08 +0900

7zip (24.09+dfsg-2) unstable; urgency=medium

  * Drop kfreebsd options
  * Add compilation options only for hurd-i386

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Wed, 04 Dec 2024 01:32:07 +0900

7zip (24.09+dfsg-1) unstable; urgency=medium

  * New upstream version 24.09+dfsg
  * Rediff patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Tue, 03 Dec 2024 21:36:18 +0900

7zip (24.08+dfsg-2) unstable; urgency=medium

  * Add a document about CVE-2024-11477 to changelog entry at 7zip/24.07+dfsg-1

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 23 Nov 2024 01:21:11 +0900

7zip (24.08+dfsg-1) unstable; urgency=medium

  * New upstream version 24.08+dfsg

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Mon, 12 Aug 2024 23:13:32 +0900

7zip (24.07+dfsg-2) unstable; urgency=medium

  * Hardening Debian patch

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 26 Jul 2024 11:27:24 +0900

7zip (24.07+dfsg-1) unstable; urgency=medium

  This version fixes CVE-2024-11477 (aka: ZDI-24-1532).

  CVE-2024-11477 was introduced from 24.05+dfsg-1 and fixes in 24.07+dfsg-1.
  CVE-2024-11477 is a integer underflow remote code execution vulnerability in
  source code at "C/ZstdDec.c".

  See also:
    https://www.zerodayinitiative.com/advisories/ZDI-24-1532/
    https://www.7-zip.org/history.txt
    https://www.security.nl/posting/866544/Beveiligingslek+in+7-Zip+maakt+remote+code+execution+mogelijk

  * New upstream version 24.07+dfsg

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Thu, 20 Jun 2024 08:10:26 +0900

7zip (24.06+dfsg-4) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Update 0004 patch to fix duplicate entries for languages with two scripts.

  [ YOKOTA Hiroshi ]
  * Add man page section for "-mcp=code page" option

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sun, 09 Jun 2024 20:32:04 +0900

7zip (24.06+dfsg-3) unstable; urgency=medium

  * Rediff patches
    Add metadata for a patch file

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Wed, 29 May 2024 11:53:28 +0900

7zip (24.06+dfsg-2) unstable; urgency=medium

  [ Ivan Sorokin ]
  * Fix ANSI archives support,
    see https://sourceforge.net/p/sevenzip/bugs/1060/

  [ YOKOTA Hiroshi ]
  * Revert "routine-update: Ready to upload to unstable" (Closes: #1072074)

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Tue, 28 May 2024 16:16:11 +0900

7zip (24.06+dfsg-1) unstable; urgency=medium

  [ Ivan Sorokin ]
  * Use system locale to select codepage for legacy zip archives
  * Fixed some minor errors:
      1) Avoid possible problems with table size calculation
      2) Assume CP437 if charset detection fails
  * This code branch was actually unused
  * added -mcp support

  [ YOKOTA Hiroshi ]
  * New upstream version 24.06+dfsg

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Tue, 28 May 2024 02:36:02 +0900

7zip (24.05+dfsg-3) unstable; urgency=medium

  * Use DEP5 license name

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 17 May 2024 13:07:29 +0900

7zip (24.05+dfsg-2) unstable; urgency=medium

  * Add license text for Zstandard code
  * Extend years
  * Use canonical license identifier

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Thu, 16 May 2024 19:56:36 +0900

7zip (24.05+dfsg-1) unstable; urgency=medium

  * New upstream version 24.05+dfsg
  * Rediff patches
  * Reorder sequence of d/control fields by cme (routine-update)
  * Restore Breaks and Replaces line
  * Renumber patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Thu, 16 May 2024 14:55:00 +0900

7zip (23.01+dfsg-12) unstable; urgency=medium

  * Forward 64 bits time patch to upstream

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Thu, 11 Apr 2024 19:53:23 +0900

7zip (23.01+dfsg-11) unstable; urgency=medium

  * 64bit time data type fix

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Thu, 11 Apr 2024 15:31:30 +0900

7zip (23.01+dfsg-10) unstable; urgency=medium

  * Upgrade Debian standards

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Thu, 11 Apr 2024 12:40:49 +0900

7zip (23.01+dfsg-9) unstable; urgency=medium

  * Typo fix
  * Add Lintian overrides for source code

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Thu, 11 Apr 2024 11:32:28 +0900

7zip (23.01+dfsg-8) unstable; urgency=medium

  * Drop hard dependency in 7zip-standalone to minimize installation size
    (Closes: #1061485)
  * Add man page for 7zz(1) instead of file link
  * Has both Breaks+Replaces and Conflicts against p7zip-full and p7zip
    (Closes: #1061486)

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 26 Jan 2024 00:36:59 +0900

7zip (23.01+dfsg-7) unstable; urgency=medium

  [ Samuel Thibault ]
  * rules: Generalize DEB_HOST_ARCH testing.

  [ YOKOTA Hiroshi ]
  * Cosmetic fix

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Mon, 13 Nov 2023 12:13:13 +0900

7zip (23.01+dfsg-6) unstable; urgency=medium

  * Remove redundant Breaks line

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Mon, 21 Aug 2023 09:51:32 +0900

7zip (23.01+dfsg-5) unstable; urgency=medium

  * Avoid file conflicts when in unpack 7zip-standalone package
    (Closes: #1050118)
  * Use more better word for changelog
  * Fix typo

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Mon, 21 Aug 2023 00:03:12 +0900

7zip (23.01+dfsg-4) unstable; urgency=medium

  * Move /usr/bin/7zz to 7zip-standalone package (Closes: #1042452)
  * Change recommends to suggests about 7zip-standalone package

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sun, 20 Aug 2023 17:01:29 +0900

7zip (23.01+dfsg-4~exp1) experimental; urgency=medium

  * Move /usr/bin/7zz to 7zip-standalone package
  * Update ignore list
  * Replace with p7zip
  * Import p7zip(1) script from p7zip package
  * Provides p7zip to replace it
  * Add Conflicts to remove p7zip from machine
  * Lintian fix
  * Man page link fix
  * Update man page about plugins support
  * Cosmetic fix
  * Update autopkgtest
  * Use 7z for full benchmark test

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sun, 06 Aug 2023 21:18:17 +0900

7zip (23.01+dfsg-3) unstable; urgency=medium

  * Rediff patches
  * Forward patches to upstream
  * Revise armhf patch

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 23 Jun 2023 08:10:08 +0900

7zip (23.01+dfsg-2) unstable; urgency=medium

  * Compilation fix for armel/armhf/powerpc

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Wed, 21 Jun 2023 12:52:27 +0900

7zip (23.01+dfsg-1) unstable; urgency=medium

  * Rediff patches
  * Remove unwanted exec permissions
  * New upstream version 23.01+dfsg
  * Rediff patches
  * Rediff patches
  * Renumber patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Wed, 21 Jun 2023 03:29:25 +0900

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog 7zip-standalone`.
